object SecurityScheme
- Alphabetic
- By Inheritance
- SecurityScheme
- AnyRef
- Any
- Hide All
- Show All
- Public
- All
Type Members
-
final
case class
ApiKey(description: Option[Doc], name: String, in: In) extends SecurityScheme with Product with Serializable
Defines an HTTP security scheme that can be used by the operations.
Defines an HTTP security scheme that can be used by the operations.
- description
A short description for security scheme.
- name
The name of the header, query or cookie parameter to be used.
- in
The location of the API key.
-
final
case class
Http(description: Option[Doc], scheme: String, bearerFormat: Option[String]) extends SecurityScheme with Product with Serializable
- description
A short description for security scheme.
- scheme
The name of the HTTP Authorization scheme to be used in the Authorization header as defined in [RFC7235]. The values used SHOULD be registered in the IANA Authentication Scheme registry.
- bearerFormat
A hint to the client to identify how the bearer token is formatted. Bearer tokens are usually generated by an authorization server, so this information is primarily for documentation purposes.
-
final
case class
OAuth2(description: Option[Doc], flows: OAuthFlows) extends SecurityScheme with Product with Serializable
- description
A short description for security scheme.
- flows
An object containing configuration information for the flow types supported.
- sealed trait OAuthFlow extends AnyRef
-
final
case class
OAuthFlows(implicit: Option[Implicit], password: Option[Password], clientCredentials: Option[ClientCredentials], authorizationCode: Option[AuthorizationCode]) extends Product with Serializable
Allows configuration of the supported OAuth Flows.
Allows configuration of the supported OAuth Flows.
- password
Configuration for the OAuth Resource Owner Password flow
- clientCredentials
Configuration for the OAuth Client Credentials flow. Previously called application in OpenAPI 2.0.
- authorizationCode
Configuration for the OAuth Authorization Code flow. Previously called accessCode in OpenAPI 2.0.
-
final
case class
OpenIdConnect(description: Option[Doc], openIdConnectUrl: URI) extends SecurityScheme with Product with Serializable
- description
A short description for security scheme.
- openIdConnectUrl
OpenId Connect URL to discover OAuth2 configuration values.
-
final
case class
SecurityRequirement(securitySchemes: Map[String, List[String]]) extends Product with Serializable
Lists the required security schemes to execute this operation.
Lists the required security schemes to execute this operation. The name used for each property MUST correspond to a security scheme declared in the Security Schemes under the Components Object.
Security Requirement Objects that contain multiple schemes require that all schemes MUST be satisfied for a request to be authorized. This enables support for scenarios where multiple query parameters or HTTP headers are required to convey security information.
When a list of Security Requirement Objects is defined on the OpenAPI Object or Operation Object, only one of the Security Requirement Objects in the list needs to be satisfied to authorize the request.
- securitySchemes
If the security scheme is of type "oauth2" or "openIdConnect", then the value is a list of scope names required for the execution, and the list MAY be empty if authorization does not require a specified scope. For other security scheme types, the List MUST be empty.
Value Members
-
final
def
!=(arg0: Any): Boolean
- Definition Classes
- AnyRef → Any
-
final
def
##(): Int
- Definition Classes
- AnyRef → Any
-
final
def
==(arg0: Any): Boolean
- Definition Classes
- AnyRef → Any
-
final
def
asInstanceOf[T0]: T0
- Definition Classes
- Any
-
def
clone(): AnyRef
- Attributes
- protected[lang]
- Definition Classes
- AnyRef
- Annotations
- @throws( ... ) @native() @IntrinsicCandidate()
-
final
def
eq(arg0: AnyRef): Boolean
- Definition Classes
- AnyRef
-
def
equals(arg0: Any): Boolean
- Definition Classes
- AnyRef → Any
-
final
def
getClass(): Class[_]
- Definition Classes
- AnyRef → Any
- Annotations
- @native() @IntrinsicCandidate()
-
def
hashCode(): Int
- Definition Classes
- AnyRef → Any
- Annotations
- @native() @IntrinsicCandidate()
-
final
def
isInstanceOf[T0]: Boolean
- Definition Classes
- Any
-
final
def
ne(arg0: AnyRef): Boolean
- Definition Classes
- AnyRef
-
final
def
notify(): Unit
- Definition Classes
- AnyRef
- Annotations
- @native() @IntrinsicCandidate()
-
final
def
notifyAll(): Unit
- Definition Classes
- AnyRef
- Annotations
- @native() @IntrinsicCandidate()
- implicit val schema: Schema[SecurityScheme]
-
final
def
synchronized[T0](arg0: ⇒ T0): T0
- Definition Classes
- AnyRef
-
def
toString(): String
- Definition Classes
- AnyRef → Any
-
final
def
wait(arg0: Long, arg1: Int): Unit
- Definition Classes
- AnyRef
- Annotations
- @throws( ... )
-
final
def
wait(arg0: Long): Unit
- Definition Classes
- AnyRef
- Annotations
- @throws( ... ) @native()
-
final
def
wait(): Unit
- Definition Classes
- AnyRef
- Annotations
- @throws( ... )
- object ApiKey extends Serializable
- object OAuthFlow